/*#############################
 *	Author: Mark Walker
 *	Class: AABBDemo1.java
 *		A very simple applet that spawns boxes and circles in a bounded area
 *############################*/
import java.util.*;

public class AABBDemo1 implements GameEngine
{
	private PhysicsEngine2 phys;
	
	public AABBDemo1()
	{
		phys = new PhysicsEngine2();
		AABB a1 = new AABB(5,200,100,new Vector2D(400,500));		//create AABBs
		AABB a2 = new AABB(5,200,100,new Vector2D(550,300));
		AABB b = new AABB(1,600,10,new Vector2D(400,700));
		b.setStatic(true);
		AABB c = new AABB(1,600,10,new Vector2D(400,100));
		c.setStatic(true);
		AABB d = new AABB(1,10,600,new Vector2D(100,400));
		d.setStatic(true);
		AABB e = new AABB(1,10,600,new Vector2D(700,400));
		e.setStatic(true);
		BoundingCircle f = new BoundingCircle(5,40,new Vector2D(400,600));
		BoundingCircle g = new BoundingCircle(5,40,new Vector2D(200,200));
		getEnv().addObject(a1);			//add them to environment
		getEnv().addObject(a2);
		getEnv().addObject(b);
		getEnv().addObject(c);
		getEnv().addObject(d);
		getEnv().addObject(e);
		getEnv().addObject(f);
		getEnv().addObject(g);
		a1.setVelocity(new Vector2D(-100,-300));		//starting velocities
		a2.setVelocity(new Vector2D(-100,100));
		f.setVelocity(new Vector2D(0,-100));
		g.setVelocity(new Vector2D(0,-100));
		a1.accelerate(new Vector2D(0,1000));
		a2.accelerate(new Vector2D(0,1000));
		f.accelerate(new Vector2D(100,1000));
		g.accelerate(new Vector2D(100,1000));
	}
	
	public void act()
	{
		phys.act();
	}
	
	public PhysicsEnv getEnv()
	{
		return phys.getEnv();
	}
}