import java.util.*;

public class Demo2 implements GameEngine
{
	private PhysicsEngine phys;
	Vector2D f1,f2;
	BoundingCircle a, b;
	
	public Demo2()
	{
		phys = new PhysicsEngine();
		a = new BoundingCircle(800,2,new Vector2D(400,300));		//creat 2 circles
		b = new BoundingCircle(800,2,new Vector2D(400,500));
		getEnv().addObject(a);			//add them to environment
		getEnv().addObject(b);
		a.setVelocity(new Vector2D(20,0));		//starting velocities
		b.setVelocity(new Vector2D(-20,0));
		//a.collisionOff();
		//b.collisionOff();
		f1 = new Vector2D(b.getLoc().getI(),b.getLoc().getJ());
		f2 = new Vector2D(a.getLoc().getI(),a.getLoc().getJ());
		a.setAccel(f1);
		b.setAccel(f2);
	}
	
	public void act()
	{
		f1.set(b.getLoc().getI()-a.getLoc().getI(),b.getLoc().getJ()-a.getLoc().getJ());
		double r = f1.magnitude();
		f1.setMag((a.getMass()*b.getMass())/(r*r));
		//System.out.println("acceleration = " + f1);
		System.out.println("magnitude = " + f1.magnitude());
		f2.set(a.getLoc().getI()-b.getLoc().getI(),a.getLoc().getJ()-b.getLoc().getJ());
		f2.setMag((a.getMass()*b.getMass())/(r*r));
		phys.act();
	}
	
	public PhysicsEnv getEnv()
	{
		return phys.getEnv();
	}
}